package com.bcxin.ins.service.order;


import com.bcxin.ins.entity.policy_special.StRecentYearsSell;
import com.bcxin.ins.vo.RecentYearsSellVo;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;

public interface InsRecentYearsSellAPIService extends IService<StRecentYearsSell> {
	
	public List<StRecentYearsSell> selectInsRecentYearsSellByTurnover(Long oid);
	
	public void setRecentYearsSellByRecentYearsSellVo(List<RecentYearsSellVo> voList, Long turnover_id);
	
	public void accordingToTheRecentYearsSellVoSetUpInsRecentYearsSell(RecentYearsSellVo vo, Long turnover_id);
	
	public List<RecentYearsSellVo> packagingRecentYearsSellVoListByInsRecentYearsSellList(List<StRecentYearsSell> iryList);
	
	public RecentYearsSellVo accordingToInsRecentYearsSellIntoRecentYearsSellVo(StRecentYearsSell insRecentYearsSell);
}
